Package twisted :: Package python :: Module observable :: Class Subscriber

[show private | hide private]
[frames | no frames]

## Class Subscriber

    OriginalAccessor --+
                       |
                      Subscriber

Method Summary
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| `reallyDel(self, key)`
| `reallySet(self, key, val)`
| `subscribeToAttribute(self, attribute, channel, callback)`
| `unsubscribeFromAttribute(self, attribute, channel, callback)`
| `_doSub(self, key, val)`

Class Variable Summary
`dict` | `_subscriberAttributes`

Class Variable Details

### _subscriberAttributes

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net